require 'facets/core/kernel/meta_class'

module Kernel

  # Evaluate code in a metaclass.

  def meta_eval( str=nil, &blk )
    if str
      meta_class.instance_eval( str )
    else
      meta_class.instance_eval( &blk )
    end
  end

end

